var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
var HightlightComponent = (function () {
    function HightlightComponent() {
    }
    HightlightComponent.prototype.ngOnChanges = function () {
        this.hightlightHtml = this.transform(this.value, this.term);
    };
    HightlightComponent.prototype.transform = function (value, term) {
        return value && term ? this.hightlight(value, term) : value;
    };
    HightlightComponent.prototype.hightlight = function (value, term) {
        var termValue = term || '';
        if (termValue.replace) {
            var regExp = new RegExp(termValue.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, '\\$&'), 'gi');
            return value.replace(regExp, function (match) {
                return "<b class=\"hi-hightlight\">" + match + "</b>";
            });
        }
        return value;
    };
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], HightlightComponent.prototype, "value", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], HightlightComponent.prototype, "term", void 0);
    HightlightComponent = __decorate([
        Component({
            selector: 'hi-hightlight',
            template: "",
            host: {
                '[innerHTML]': 'hightlightHtml',
                'display': 'inline'
            },
            changeDetection: ChangeDetectionStrategy.OnPush
        })
    ], HightlightComponent);
    return HightlightComponent;
}());
export { HightlightComponent };
