import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { HiNGConfig } from '../hi.config';
import { ControlValueAccessor } from '@angular/forms';
export declare class CheckboxGroupComponent implements ControlValueAccessor {
    private changeDetectorRef;
    disabled: boolean;
    options: any[];
    inline: boolean;
    cssClass: string;
    formatter: (item: any) => string;
    valueParser: (item: any) => any;
    valueChange: EventEmitter<any>;
    value: any[];
    private onChange;
    private onTouched;
    constructor(hiNGConfig: HiNGConfig, changeDetectorRef: ChangeDetectorRef);
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    selectAll(): void;
    unselectAll(): void;
    invertSelect(): void;
    onCheckBoxChange(item: any, checkbox: any): void;
    isChecked(item: any): boolean;
}
