var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, TemplateRef, Input, ViewContainerRef } from '@angular/core';
var TemplateLoaderComponent = (function () {
    function TemplateLoaderComponent(viewContainer) {
        this.viewContainer = viewContainer;
        this.$implicit = {};
    }
    TemplateLoaderComponent.prototype.ngOnInit = function () {
        if (this.template) {
            var context = Object.assign({}, { '$implicit': this.data }, this.data);
            this.view = this.viewContainer.createEmbeddedView(this.template, context);
        }
    };
    TemplateLoaderComponent.prototype.ngOnDestroy = function () {
        if (this.view) {
            this.view.destroy();
        }
    };
    __decorate([
        Input(),
        __metadata("design:type", TemplateRef)
    ], TemplateLoaderComponent.prototype, "template", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], TemplateLoaderComponent.prototype, "data", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], TemplateLoaderComponent.prototype, "$implicit", void 0);
    TemplateLoaderComponent = __decorate([
        Component({
            selector: 'hi-template-loader',
            template: ""
        }),
        __metadata("design:paramtypes", [ViewContainerRef])
    ], TemplateLoaderComponent);
    return TemplateLoaderComponent;
}());
export { TemplateLoaderComponent };
