import { EventEmitter } from '@angular/core';
export declare class DroppableDirective {
    group: string;
    acceptDrop: ($event: any) => boolean;
    dropEffect: 'copy' | 'move' | 'link' | 'none';
    onDragEnter: EventEmitter<any>;
    onDragLeave: EventEmitter<any>;
    onDrop: EventEmitter<any>;
    onDragOver: EventEmitter<any>;
    drop($event: any): void;
    dragEnter($event: any): void;
    dragLeave($event: any): void;
    dragOver($event: any): void;
    private isDropGroup;
    private startDrop;
}
