var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
import { Component, ChangeDetectionStrategy, Renderer2, ChangeDetectorRef, Optional } from '@angular/core';
import { HiNGConfig } from '../hi.config';
import { HttpClient } from '@angular/common/http';
import { FileUpload } from './file-upload';
var FileUploadComponent = (function (_super) {
    __extends(FileUploadComponent, _super);
    function FileUploadComponent(hiNGConfig, renderer, http, changeDetectorRef) {
        return _super.call(this, hiNGConfig, renderer, http, changeDetectorRef) || this;
    }
    FileUploadComponent = __decorate([
        Component({
            selector: 'hi-file-upload',
            template: "\n    <input #file type=\"file\" (change)=\"newFileChoose(file)\" style=\"display: none\"><ng-template #defaultToolbarTemplate let-toolbar=\"\"><div class=\"file-upload-toolbar\"><button class=\"btn btn-primary\" (click)=\"toolbar.addNewFile($event)\" [disabled]=\"toolbar.isMoreThanMaxItems()\"><i class=\"file-upload-toolbar-choose {{plusIcon}}\"></i> {{toolbar.chooseButton}}</button> <button class=\"btn btn-info\" [disabled]=\"!toolbar.selectFiles?.length\" (click)=\"toolbar.uploadAllFiles()\"><i class=\"file-upload-toolbar-upload {{uploadIcon}}\"></i> {{toolbar.uploadButton}}</button> <button class=\"btn btn-danger\" [disabled]=\"!toolbar.selectFiles?.length\" (click)=\"toolbar.removeAllSelectedFiles()\"><i class=\"file-upload-toolbar-remove {{removeIcon}}\"></i> {{toolbar.cancelButton}}</button></div></ng-template><ng-template #defaultPreviewTemplate let-preview=\"\"><hi-file-upload-preview [selectFiles]=\"preview.selectFiles\" [imgPreview]=\"preview.imgPreview\" [previewWidth]=\"preview.previewWidth\" (removeFile)=\"preview.onRemoveFile($event)\"></hi-file-upload-preview><hi-file-upload-preview [selectFiles]=\"preview.uploadFiles\" [imgPreview]=\"preview.imgPreview\" [previewWidth]=\"preview.previewWidth\" (removeFile)=\"preview.onRemoveUploadFile($event)\" [uploaded]=\"true\"></hi-file-upload-preview></ng-template><div class=\"file-upload {{cssClass}}\" reDroppable (onDrop)=\"onDropFiles($event)\"><ng-template [ngTemplateOutlet]=\"toolbarTemplate || defaultToolbarTemplate\" [ngTemplateOutletContext]=\"{ $implicit: this}\"></ng-template><hi-alert-box class=\"file-upload-error-box\" type=\"danger\" [closable]=\"true\" (close)=\"clearErrors()\" *ngIf=\"showErrors && errors.length\"><ul><li *ngFor=\"let error of errors\">{{error}}</li></ul></hi-alert-box><ng-template [ngTemplateOutlet]=\"previewTemplate || defaultPreviewTemplate\" [ngTemplateOutletContext]=\"{ $implicit: this}\"></ng-template></div>\n  ",
            changeDetection: ChangeDetectionStrategy.OnPush,
            exportAs: 'fileUpload'
        }),
        __param(2, Optional()),
        __metadata("design:paramtypes", [HiNGConfig,
            Renderer2,
            HttpClient,
            ChangeDetectorRef])
    ], FileUploadComponent);
    return FileUploadComponent;
}(FileUpload));
export { FileUploadComponent };
