var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { NgModule } from '@angular/core';
import { FileUploadComponent } from './file-upload.component';
import { CommonModule } from '@angular/common';
import { FileUploadPreviewComponent } from './file-upload-preview.component';
import { AlertBoxModule } from '../alert-box/alert-box.module';
import { DraggableModule } from '../draggable/draggable.module';
import { UploadFileTmplComponent, UploadPreviewTmplComponent, UploadToolbarTmplComponent } from './file-upload-tmpl.directive';
var FileUploadModule = (function () {
    function FileUploadModule() {
    }
    FileUploadModule = __decorate([
        NgModule({
            imports: [
                CommonModule,
                AlertBoxModule,
                DraggableModule
            ],
            providers: [],
            declarations: [
                FileUploadComponent,
                FileUploadPreviewComponent,
                UploadToolbarTmplComponent,
                UploadPreviewTmplComponent,
                UploadFileTmplComponent
            ],
            exports: [
                FileUploadComponent,
                FileUploadPreviewComponent,
                UploadToolbarTmplComponent,
                UploadPreviewTmplComponent,
                UploadFileTmplComponent
            ],
        })
    ], FileUploadModule);
    return FileUploadModule;
}());
export { FileUploadModule };
