var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, ChangeDetectionStrategy, Input, EventEmitter, Output } from '@angular/core';
var FlowStepComponent = (function () {
    function FlowStepComponent() {
        this.type = 'arrow';
        this.activeChange = new EventEmitter();
    }
    FlowStepComponent.prototype.stepClick = function (step, $index) {
        if ($index < this.active) {
            this.activeChange.emit($index);
        }
    };
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], FlowStepComponent.prototype, "type", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Array)
    ], FlowStepComponent.prototype, "steps", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Number)
    ], FlowStepComponent.prototype, "active", void 0);
    __decorate([
        Output(),
        __metadata("design:type", Object)
    ], FlowStepComponent.prototype, "activeChange", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], FlowStepComponent.prototype, "cssClass", void 0);
    FlowStepComponent = __decorate([
        Component({
            selector: 'hi-flow-step',
            template: "\n    <ul class=\"nav step-anchor-{{type}} {{cssClass}}\"><li class=\"step\" *ngFor=\"let step of steps; let $index = index\" [ngClass]=\"{done: $index < active, 'active': $index == active}\" (click)=\"stepClick(step,$index)\"><a class=\"arrow\"><i *ngIf=\"step.icon\" class=\"step-icon {{step.icon}}\"></i>{{step.title}}<br><small>{{step.description}}</small></a></li></ul>\n  ",
            changeDetection: ChangeDetectionStrategy.OnPush
        })
    ], FlowStepComponent);
    return FlowStepComponent;
}());
export { FlowStepComponent };
