import { Bounds } from './bounds';
import { Handle } from './handle';
import { Point } from './point';
import { ImageCropperSettings } from '../image-cropper.settings';
export declare class DragMarker extends Handle {
    iconPoints: Array<Point>;
    scaledIconPoints: Array<Point>;
    constructor(x: number, y: number, radius: number, cropperSettings: ImageCropperSettings);
    draw(ctx: CanvasRenderingContext2D): void;
    getDragIconPoints(arr: Array<any>, scale: number): void;
    drawIcon(ctx: CanvasRenderingContext2D, points: Array<Point>): void;
    recalculatePosition(bounds: Bounds): void;
}
