import { MessageConfig } from './message-config';
import { MessageDataFilled, MessageDataOptions } from './message.definitions';
export declare class MessageContainerComponent {
    messages: MessageDataFilled[];
    config: MessageConfig;
    constructor(defaultConfig: MessageConfig, config: MessageConfig);
    setConfig(config: MessageConfig): void;
    createMessage(message: MessageDataFilled): void;
    removeMessage(messageId: string): void;
    removeMessageAll(): void;
    protected _mergeMessageOptions(options: MessageDataOptions): MessageDataOptions;
}
