import { OnDestroy, OnInit } from '@angular/core';
import { MessageContainerComponent } from './message-container.component';
import { MessageDataFilled, MessageDataOptions } from './message.definitions';
export declare class MessageComponent implements OnInit, OnDestroy {
    private _messageContainer;
    hiMessage: MessageDataFilled;
    hiIndex: number;
    protected _options: MessageDataOptions;
    private _autoErase;
    private _eraseTimer;
    private _eraseTimingStart;
    private _eraseTTL;
    constructor(_messageContainer: MessageContainerComponent);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onEnter(): void;
    onLeave(): void;
    protected _destroy(): void;
    private _initErase;
    private _updateTTL;
    private _startEraseTimeout;
    private _clearEraseTimeout;
}
