import { EventEmitter, Renderer2 } from '@angular/core';
import { ModalOptions } from './modal-options.model';
import { ModalWindowComponent } from './modal-window.component';
import { DocumentRef } from '../window-ref';
import 'rxjs/add/operator/do';
import { Observable } from 'rxjs/Observable';
export declare class ModalComponent {
    private renderer;
    private documentRef;
    static MODEL_OPEN_CSS: string;
    isOpen: boolean;
    dismiss: EventEmitter<any>;
    modalOptions: ModalOptions;
    modalWindowComponent: ModalWindowComponent;
    instanceCount: number;
    constructor(renderer: Renderer2, documentRef: DocumentRef);
    open(): void;
    close(): Observable<any>;
    cleanup(): void;
    addContent<T>(options: ModalOptions, instanceCount: number): EventEmitter<T>;
    private toggleBodyClass;
}
