import { Injector, ComponentFactoryResolver } from '@angular/core';
import { ModalOptions } from './modal-options.model';
import { HiNGConfig } from '../hi.config';
import 'rxjs/add/operator/do';
import 'rxjs/add/operator/catch';
import { Observable } from 'rxjs/Observable';
export declare class ModalService {
    private hiNGConfig;
    private resolver;
    private injector;
    private instances;
    constructor(hiNGConfig: HiNGConfig, resolver: ComponentFactoryResolver, injector: Injector);
    open<T>(options: ModalOptions): Observable<any>;
    closeAll(): void;
    private close;
}
