var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
import { Component, Inject, Optional } from '@angular/core';
import { MessageContainerComponent } from '../message/message-container.component';
import { NOTIFICATION_CONFIG, NOTIFICATION_DEFAULT_CONFIG } from './notification-config';
var NotificationContainerComponent = (function (_super) {
    __extends(NotificationContainerComponent, _super);
    function NotificationContainerComponent(defaultConfig, config) {
        return _super.call(this, defaultConfig, config) || this;
    }
    NotificationContainerComponent = __decorate([
        Component({
            selector: 'hi-notification-container',
            preserveWhitespaces: false,
            template: "\n    <div class=\"hi-notification hi-notification-{{config.hiPlacement}}\" [style.top]=\"(config.hiPlacement==='topLeft'||config.hiPlacement=='topRight')? config.hiTop:null\" [style.bottom]=\"(config.hiPlacement==='bottomLeft'||config.hiPlacement=='bottomRight')? config.hiBottom:null\" [style.right]=\"(config.hiPlacement==='bottomRight'||config.hiPlacement=='topRight')?'0px':null\" [style.left]=\"(config.hiPlacement==='topLeft'||config.hiPlacement=='bottomLeft')?'0px':null\"><hi-notification *ngFor=\"let message of messages; let i = index\" [hiMessage]=\"message\" [hiIndex]=\"i\"></hi-notification></div>\n  "
        }),
        __param(0, Optional()), __param(0, Inject(NOTIFICATION_DEFAULT_CONFIG)),
        __param(1, Optional()), __param(1, Inject(NOTIFICATION_CONFIG)),
        __metadata("design:paramtypes", [Object, Object])
    ], NotificationContainerComponent);
    return NotificationContainerComponent;
}(MessageContainerComponent));
export { NotificationContainerComponent };
