var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, Input } from '@angular/core';
import { HiNGConfig } from '../hi.config';
var NotifyComponent = (function () {
    function NotifyComponent(hiNGConfig) {
        this.hiNGConfig = hiNGConfig;
        this.notifies = [];
        this.placement = hiNGConfig.alertBoxPanel.placement;
        this.cssClass = hiNGConfig.alertBoxPanel.cssClass;
        this.width = hiNGConfig.alertBoxPanel.width;
    }
    NotifyComponent.prototype.close = function (item) {
        this.notifies = this.notifies.filter(function (box) { return box !== item; });
    };
    __decorate([
        Input(),
        __metadata("design:type", Array)
    ], NotifyComponent.prototype, "notifies", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], NotifyComponent.prototype, "width", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], NotifyComponent.prototype, "cssClass", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], NotifyComponent.prototype, "placement", void 0);
    NotifyComponent = __decorate([
        Component({
            selector: 'hi-notify',
            template: "\n    <hi-alert-box *ngFor=\"let item of notifies\" [type]=\"item.type\" [closable]=\"true\" (close)=\"close(item)\"><div *ngIf=\"!item.template\" [innerHTML]=\"item.html\"></div><ng-template *ngIf=\"item.template\" [ngTemplateOutlet]=\"item.template\" [ngTemplateOutletContext]=\"{ $implicit: item }\"></ng-template></hi-alert-box>\n  ",
            host: {
                '[style.width]': 'width',
                '[class]': '(placement ? "alert-" + placement : "") + " " + (cssClass || "")',
            }
        }),
        __metadata("design:paramtypes", [HiNGConfig])
    ], NotifyComponent);
    return NotifyComponent;
}());
export { NotifyComponent };
