import { StorageType, StorageService } from '../storage';
import { OAuth2Config } from './oauth2.config';
export declare class OAuth2Service {
    storage: StorageService;
    config: OAuth2Config;
    private STORAGE_POOL_KEY;
    private STORAGE_DATA_KEY;
    private STORAGE_TOKEN_KEY;
    private storageType;
    private data;
    private token;
    constructor(storage: StorageService, config: OAuth2Config);
    setStorageType(storageType: StorageType): void;
    set(data: any): void;
    get(): any;
    setToken(token: any): void;
    getToken(): any;
    remove(): any;
    removeToken(): any;
    isAuthorized(): boolean;
}
