var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, ViewContainerRef, Injector, ComponentFactoryResolver } from '@angular/core';
var OverlayContentComponent = (function () {
    function OverlayContentComponent(contentContainer, injector, componentFactoryResolver) {
        this.contentContainer = contentContainer;
        this.injector = injector;
        this.componentFactoryResolver = componentFactoryResolver;
    }
    OverlayContentComponent.prototype.addContent = function (options) {
        var componentFactoryResolver = options.componentFactoryResolver || this.componentFactoryResolver;
        var componentFactory = componentFactoryResolver.resolveComponentFactory(options.component);
        this.contentRef = this.contentContainer
            .createComponent(componentFactory, this.contentContainer.length, options.injector || this.injector);
    };
    OverlayContentComponent.prototype.ngOnDestroy = function () {
        if (this.contentRef) {
            this.contentRef.destroy();
        }
    };
    OverlayContentComponent = __decorate([
        Component({
            selector: 'hi-overlay-content',
            template: '',
            exportAs: 'overlayContent'
        }),
        __metadata("design:paramtypes", [ViewContainerRef, Injector,
            ComponentFactoryResolver])
    ], OverlayContentComponent);
    return OverlayContentComponent;
}());
export { OverlayContentComponent };
