import { WindowRef } from '../window-ref/window-ref.service';
import { DocumentRef } from '../window-ref/document-ref.service';
export declare class PositionService {
    private windowRef;
    private documentRef;
    constructor(windowRef: WindowRef, documentRef: DocumentRef);
    position(element: HTMLElement, round?: boolean): ClientRect;
    offset(element: HTMLElement, round?: boolean): ClientRect;
    positionElements(hostElement: HTMLElement, targetElement: HTMLElement, placement: string, appendToBody?: boolean): ClientRect;
    private getStyle;
    private isStaticPositioned;
    private offsetParent;
}
