var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, ChangeDetectionStrategy, Input } from '@angular/core';
import { HiNGConfig } from '../hi.config';
var ProgressBarComponent = (function () {
    function ProgressBarComponent(hiNGConfig) {
        this.type = '';
        this.type = hiNGConfig.progressBar.type;
        this.animate = hiNGConfig.progressBar.animate;
        this.striped = hiNGConfig.progressBar.striped;
        this.max = hiNGConfig.progressBar.max;
    }
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], ProgressBarComponent.prototype, "type", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], ProgressBarComponent.prototype, "text", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Boolean)
    ], ProgressBarComponent.prototype, "thin", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Number)
    ], ProgressBarComponent.prototype, "max", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Boolean)
    ], ProgressBarComponent.prototype, "animate", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Boolean)
    ], ProgressBarComponent.prototype, "striped", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Number)
    ], ProgressBarComponent.prototype, "value", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], ProgressBarComponent.prototype, "cssClass", void 0);
    ProgressBarComponent = __decorate([
        Component({
            selector: 'hi-progress-bar',
            template: "\n    <div class=\"progress {{cssClass}}\" [ngClass]=\"{'thin': thin}\"><div class=\"progress-bar {{ type? 'progress-bar-' + type : ''}}\" role=\"progressbar\" [attr.aria-valuenow]=\"value\" aria-valuemin=\"0\" [attr.aria-valuemax]=\"max\" style=\"min-width: 2em\" [style.min-width.%]=\"value * 100 / max\">{{text}}</div></div>\n  ",
            changeDetection: ChangeDetectionStrategy.OnPush
        }),
        __metadata("design:paramtypes", [HiNGConfig])
    ], ProgressBarComponent);
    return ProgressBarComponent;
}());
export { ProgressBarComponent };
