import { ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SelectButtonItem } from './select-button-item.model';
import { HiNGConfig } from '../hi.config';
export declare class SelectButtonComponent implements ControlValueAccessor {
    private changeDetectorRef;
    size: 'lg' | 'sm' | 'xs';
    type: 'default' | 'primary' | 'success' | 'info' | 'warning' | 'danger';
    justified: boolean;
    multiple: boolean;
    items: SelectButtonItem;
    cssClass: string;
    disabled: boolean;
    value: any;
    private onChange;
    private onTouched;
    constructor(changeDetectorRef: ChangeDetectorRef, hiNGConfig: HiNGConfig);
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    isSelected(item: SelectButtonItem): boolean;
    selectedItem(item: SelectButtonItem): void;
    private fillSingleValue;
    private fillMultipleValue;
}
