var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, ElementRef, Input } from '@angular/core';
import { OptionComponent } from './option.component';
var OptionLiComponent = (function () {
    function OptionLiComponent(elementRef) {
        this.elementRef = elementRef;
        this.selected = false;
        this.active = false;
        this.hiShowActive = true;
        this.el = elementRef.nativeElement;
    }
    Object.defineProperty(OptionLiComponent.prototype, "hiActiveOption", {
        set: function (value) {
            if (value) {
                this.active = this.compareWith(value.hiValue, this.hiOption.hiValue);
            }
            else {
                this.active = false;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(OptionLiComponent.prototype, "hiListOfSelectedValue", {
        set: function (valueList) {
            var _this = this;
            this.selected = valueList.find(function (v) { return _this.compareWith(v, _this.hiOption.hiValue); });
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        Input(),
        __metadata("design:type", OptionComponent)
    ], OptionLiComponent.prototype, "hiOption", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], OptionLiComponent.prototype, "hiShowActive", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Function)
    ], OptionLiComponent.prototype, "compareWith", void 0);
    __decorate([
        Input(),
        __metadata("design:type", OptionComponent),
        __metadata("design:paramtypes", [OptionComponent])
    ], OptionLiComponent.prototype, "hiActiveOption", null);
    __decorate([
        Input(),
        __metadata("design:type", Array),
        __metadata("design:paramtypes", [Array])
    ], OptionLiComponent.prototype, "hiListOfSelectedValue", null);
    OptionLiComponent = __decorate([
        Component({
            selector: '[hi-option-li]',
            template: "\n    <ng-container *ngIf=\"hiOption.hiCustomContent\">\n      <ng-template [ngTemplateOutlet]=\"hiOption.template\"></ng-template>\n    </ng-container>\n    <ng-container *ngIf=\"!hiOption.hiCustomContent\">\n      {{hiOption.hiLabel}}\n    </ng-container>\n  ",
            host: {
                '[class.hi-select-dropdown-menu-item]': 'true',
                '[class.hi-select-dropdown-menu-item-selected]': 'selected && !hiOption.hiDisabled',
                '[class.hi-select-dropdown-menu-item-disabled]': 'hiOption.hiDisabled',
                '[class.hi-select-dropdown-menu-item-active]': 'active && !hiOption.hiDisabled && hiShowActive && !selected',
                '[attr.unselectable]': '"unselectable"',
                '[style.user-select]': '"none"'
            }
        }),
        __metadata("design:paramtypes", [ElementRef])
    ], OptionLiComponent);
    return OptionLiComponent;
}());
export { OptionLiComponent };
