var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, Input, TemplateRef, ViewChild } from '@angular/core';
import { toBoolean } from '../utils/convert';
var OptionComponent = (function () {
    function OptionComponent() {
        this._disabled = false;
        this._customContent = false;
    }
    Object.defineProperty(OptionComponent.prototype, "hiDisabled", {
        get: function () {
            return this._disabled;
        },
        set: function (value) {
            this._disabled = toBoolean(value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(OptionComponent.prototype, "hiCustomContent", {
        get: function () {
            return this._customContent;
        },
        set: function (value) {
            this._customContent = toBoolean(value);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        ViewChild(TemplateRef, { static: false }),
        __metadata("design:type", TemplateRef)
    ], OptionComponent.prototype, "template", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], OptionComponent.prototype, "hiLabel", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], OptionComponent.prototype, "hiValue", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Boolean),
        __metadata("design:paramtypes", [Boolean])
    ], OptionComponent.prototype, "hiDisabled", null);
    __decorate([
        Input(),
        __metadata("design:type", Boolean),
        __metadata("design:paramtypes", [Boolean])
    ], OptionComponent.prototype, "hiCustomContent", null);
    OptionComponent = __decorate([
        Component({
            selector: 'hi-option',
            template: "\n    <ng-template>\n      <ng-content></ng-content>\n    </ng-template>"
        })
    ], OptionComponent);
    return OptionComponent;
}());
export { OptionComponent };
