import { PipeTransform } from '@angular/core';
import { OptionGroupComponent } from './option-group.component';
import { OptionComponent } from './option.component';
export declare type TFilterOption = (input?: string, option?: OptionComponent) => boolean;
export declare class OptionPipe implements PipeTransform {
    transform(options: OptionComponent[], input: string, filterOption: TFilterOption, serverSearch: boolean): OptionComponent[];
}
export declare class SubOptionPipe implements PipeTransform {
    transform(groups: OptionGroupComponent[], input: string, filterOption: TFilterOption, serverSearch: boolean): OptionGroupComponent[];
}
export declare function defaultFilterOption(input: string, option: OptionComponent): boolean;
