var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Pipe } from '@angular/core';
var OptionPipe = (function () {
    function OptionPipe() {
    }
    OptionPipe.prototype.transform = function (options, input, filterOption, serverSearch) {
        if (serverSearch || !input) {
            return options;
        }
        else {
            return options.filter(function (o) { return filterOption(input, o); });
        }
    };
    OptionPipe = __decorate([
        Pipe({ name: 'hiFilterOptionPipe' })
    ], OptionPipe);
    return OptionPipe;
}());
export { OptionPipe };
var SubOptionPipe = (function () {
    function SubOptionPipe() {
    }
    SubOptionPipe.prototype.transform = function (groups, input, filterOption, serverSearch) {
        if (serverSearch || !input) {
            return groups;
        }
        else {
            return groups.filter(function (g) {
                return g.listOfHiOptionComponent.some(function (o) { return filterOption(input, o); });
            });
        }
    };
    SubOptionPipe = __decorate([
        Pipe({ name: 'hiSubFilterOptionPipe' })
    ], SubOptionPipe);
    return SubOptionPipe;
}());
export { SubOptionPipe };
export function defaultFilterOption(input, option) {
    if (option && option.hiLabel) {
        return option.hiLabel.toLowerCase().indexOf(input.toLowerCase()) > -1;
    }
    else {
        return false;
    }
}
