import { ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { OptionComponent } from './option.component';
export declare class SelectTopControlComponent {
    private renderer;
    private _listOfSelectedValue;
    private _listTemplateOfOption;
    listOfCachedSelectedOption: OptionComponent[];
    inputValue: string;
    isComposing: boolean;
    inputElement: ElementRef;
    hiListOfSelectedValueChange: EventEmitter<any[]>;
    hiOnSearch: EventEmitter<{
        value: string;
        emit: boolean;
    }>;
    hiMode: string;
    hiShowSearch: boolean;
    hiDisabled: boolean;
    hiPlaceHolder: string;
    hiOpen: boolean;
    compareWith: (o1: any, o2: any) => boolean;
    hiListOfSelectedValue: any[];
    hiListTemplateOfOption: OptionComponent[];
    updateListOfCachedOption(): void;
    setInputValue(value: string, emit: boolean): void;
    readonly isSingleMode: boolean;
    readonly isMultipleOrTags: boolean;
    readonly placeHolderDisplay: string;
    readonly searchDisplay: string;
    readonly selectedValueDisplay: {
        [key: string]: string;
    };
    readonly singleValueLabel: string;
    focusOnInput(): void;
    getPropertyFromValue(value: any, prop: string): string;
    isOptionDisplay(value: any): boolean;
    removeValueFormSelected(value: any): void;
    updateWidth(): void;
    onKeyDownInput(e: KeyboardEvent): void;
    constructor(renderer: Renderer2);
}
