import { ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { HiNGConfig } from '../hi.config';
export declare class SwitchComponent implements ControlValueAccessor {
    private changeDetectorRef;
    type: 'default' | 'primary' | 'success' | 'info' | 'warning' | 'danger';
    size: 'lg' | 'sm' | 'xs';
    disabled: boolean;
    onText: string;
    offText: string;
    cssClass: string;
    checked: boolean;
    private onChange;
    private onTouched;
    constructor(hiNGConfig: HiNGConfig, changeDetectorRef: ChangeDetectorRef);
    toggle(): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
}
