var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, Input, TemplateRef, Output, EventEmitter } from '@angular/core';
var TreePanelComponent = (function () {
    function TreePanelComponent() {
        this.checkable = false;
        this.lazyLoad = false;
        this.allowDraggable = false;
        this.allowMutipleSelected = false;
        this.nodeItemCheckedChanged = new EventEmitter();
    }
    TreePanelComponent.prototype.onNodeItemCheckedChanged = function (node) {
        this.nodeItemCheckedChanged.emit(node);
    };
    __decorate([
        Input(),
        __metadata("design:type", Array)
    ], TreePanelComponent.prototype, "treeData", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], TreePanelComponent.prototype, "parentNode", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], TreePanelComponent.prototype, "valueField", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], TreePanelComponent.prototype, "textField", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], TreePanelComponent.prototype, "nodeCssClass", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], TreePanelComponent.prototype, "iconField", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], TreePanelComponent.prototype, "checkable", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], TreePanelComponent.prototype, "lazyLoad", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], TreePanelComponent.prototype, "loadingIcon", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Function)
    ], TreePanelComponent.prototype, "loadChildren", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], TreePanelComponent.prototype, "allowDraggable", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], TreePanelComponent.prototype, "allowMutipleSelected", void 0);
    __decorate([
        Input(),
        __metadata("design:type", TemplateRef)
    ], TreePanelComponent.prototype, "nodeItemTemplate", void 0);
    __decorate([
        Input(),
        __metadata("design:type", TemplateRef)
    ], TreePanelComponent.prototype, "nodeItemToolbarTemplate", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], TreePanelComponent.prototype, "leafIcon", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], TreePanelComponent.prototype, "expendIcon", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], TreePanelComponent.prototype, "collapseIcon", void 0);
    __decorate([
        Output(),
        __metadata("design:type", Object)
    ], TreePanelComponent.prototype, "nodeItemCheckedChanged", void 0);
    TreePanelComponent = __decorate([
        Component({
            selector: 'hi-tree-panel',
            template: "\n    <ul class=\"list-unstyled\"><li reTreeNode *ngFor=\"let node of treeData\" [node]=\"node\" [textField]=\"textField\" [valueField]=\"valueField\" [iconField]=\"iconField\" [nodeCssClass]=\"nodeCssClass\" [checkable]=\"checkable\" [lazyLoad]=\"lazyLoad\" [loadingIcon]=\"loadingIcon\" [loadChildren]=\"loadChildren\" [allowDraggable]=\"allowDraggable\" [nodeItemTemplate]=\"nodeItemTemplate\" [nodeItemToolbarTemplate]=\"nodeItemToolbarTemplate\" [leafIcon]=\"leafIcon\" [expendIcon]=\"expendIcon\" [collapseIcon]=\"collapseIcon\" [allowMutipleSelected]=\"allowMutipleSelected\" [parentNode]=\"parentNode\"></li></ul>\n  "
        })
    ], TreePanelComponent);
    return TreePanelComponent;
}());
export { TreePanelComponent };
