export declare class TreeViewService {
    getSelectNodes(treeData: any[]): any[];
    getCheckedNodes(treeData: any[]): any[];
    getMatchedItems(treeData: any[], match: (node: any) => boolean): any[];
    getFirstMatchedItem(treeData: any[], match: (node: any) => boolean): any;
    getTreeNodeByValue(treeData: any[], valueField: string, value: any): any;
    expendNodesByLevel(treeData: any[], level: number): void;
    expendNodesByValue(treeData: any[], valueField: string, value: any): void;
    getNodePathByValue(treeData: any[], valueField: string, value: any): any;
    expendAllNodes(treeData: any[]): void;
    collapseAllNodes(treeData: any[]): void;
    checkAllNodes(treeData: any[]): void;
    unCheckAllNodes(treeData: any[]): void;
    appendNodes(treeData: any[], valueField: any, parentId: any, nodes: any[]): any;
    removeNode(treeData: any[], valueField: string, value: any): any;
    private innerLookNode;
    private innerGetMatchedItems;
    private innerGetFirstMatchedItem;
}
