var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { NgModule } from '@angular/core';
import { RequiredWithTrimDirective, Base64Directive, DateDirective, DateISODirective, DigitsDirective, EmailDirective, EqualDirective, EqualToDirective, IncludesDirective, JsonDirective, MaxDirective, MinDirective, NumberDirective, PhoneDirective, RangeDirective, RangeLengthDirective, UrlDirective, UUIDDirective, BeforeDateDirective, AfterDateDirective } from './validators.directive';
import { CommonModule } from '@angular/common';
var HiValidatorsModule = (function () {
    function HiValidatorsModule() {
    }
    HiValidatorsModule = __decorate([
        NgModule({
            imports: [
                CommonModule
            ],
            exports: [
                RequiredWithTrimDirective,
                RangeLengthDirective,
                MinDirective,
                RangeDirective,
                MaxDirective,
                DigitsDirective,
                NumberDirective,
                UrlDirective,
                EmailDirective,
                DateDirective,
                DateISODirective,
                JsonDirective,
                Base64Directive,
                PhoneDirective,
                UUIDDirective,
                EqualDirective,
                IncludesDirective,
                EqualToDirective,
                BeforeDateDirective,
                AfterDateDirective
            ],
            declarations: [
                RequiredWithTrimDirective,
                RangeLengthDirective,
                MinDirective,
                RangeDirective,
                MaxDirective,
                DigitsDirective,
                NumberDirective,
                UrlDirective,
                EmailDirective,
                DateDirective,
                DateISODirective,
                JsonDirective,
                Base64Directive,
                PhoneDirective,
                UUIDDirective,
                EqualDirective,
                IncludesDirective,
                EqualToDirective,
                BeforeDateDirective,
                AfterDateDirective
            ]
        })
    ], HiValidatorsModule);
    return HiValidatorsModule;
}());
export { HiValidatorsModule };
