import { ElementRef } from '@angular/core';
import { DocumentRef } from './document-ref.service';
export declare class WindowRef {
    private documentRef;
    constructor(documentRef: DocumentRef);
    readonly document: any;
    readonly pageXOffset: number;
    readonly pageYOffset: number;
    readonly innerHeight: number;
    readonly innerWidth: number;
    getComputedStyle(element: any): CSSStyleDeclaration;
    getOffsetWidth(elementRef: ElementRef): any;
    getBoundingClientRect(elementRef: ElementRef): any;
}
