import { TemplateRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { HiNGConfig } from '../hi.config';
import { AnimationEvent } from '@angular/animations';
export declare class AutoCompletePopupComponent implements ControlValueAccessor {
    activeIndex: number;
    cssClass: string;
    disabled: boolean;
    source: any[];
    isOpen: boolean;
    term: string;
    itemTemplate: TemplateRef<any>;
    noResultItemTemplate: TemplateRef<any>;
    formatter: (item: any) => string;
    animateState: string;
    private value;
    private onChange;
    private onTouched;
    constructor(hiNGConfig: HiNGConfig);
    writeValue(obj: any): void;
    show(): void;
    hide(): void;
    afterVisibilityAnimation(e: AnimationEvent): void;
    setDisabledState(isDisabled: boolean): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onSelect(item: any): void;
    selectCurrentItem(): void;
    onActiveIndexChange(index: any): void;
    reset(): void;
    next(): void;
    prev(): void;
}
