var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, ChangeDetectionStrategy, Input } from '@angular/core';
var BreadcrumbsComponent = (function () {
    function BreadcrumbsComponent() {
        this.items = [];
    }
    BreadcrumbsComponent.prototype.itemClick = function (item) {
        if (item.handle) {
            item.handle(item);
        }
    };
    __decorate([
        Input(),
        __metadata("design:type", Array)
    ], BreadcrumbsComponent.prototype, "items", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], BreadcrumbsComponent.prototype, "cssClass", void 0);
    BreadcrumbsComponent = __decorate([
        Component({
            selector: 'hi-breadcrumbs',
            template: "\n    <ol class=\"breadcrumb {{cssClass}}\"><li *ngFor=\"let item of items;let $last=last\" [ngClass]=\"{'active': $last}\"><a *ngIf=\"!$last && item.handle\" (click)=\"itemClick(item)\"><i *ngIf=\"item.icon\" class=\"breadcrumb-icon {{item.icon}}\"></i>{{item.text}} </a><a *ngIf=\"!$last && item.router\" [routerLink]=\"item.router\" [queryParams]=\"item.queryParams\"><i *ngIf=\"item.icon\" class=\"breadcrumb-icon {{item.icon}}\"></i>{{item.text}} </a><a *ngIf=\"!$last && !item.handle && !item.router\" [href]=\"item.url\" [target]=\"item.target || '_self'\"><i *ngIf=\"item.icon\" class=\"breadcrumb-icon {{item.icon}}\"></i>{{item.text}}</a><ng-container *ngIf=\"$last\"><i *ngIf=\"item.icon\" class=\"breadcrumb-icon {{item.icon}}\"></i>{{item.text}}</ng-container></li></ol>\n  ",
            changeDetection: ChangeDetectionStrategy.OnPush
        })
    ], BreadcrumbsComponent);
    return BreadcrumbsComponent;
}());
export { BreadcrumbsComponent };
