var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, ChangeDetectionStrategy, Input, Output, EventEmitter } from '@angular/core';
var FileUploadPreviewComponent = (function () {
    function FileUploadPreviewComponent() {
        this.selectFiles = [];
        this.removeFile = new EventEmitter();
    }
    FileUploadPreviewComponent.prototype.onRemoveFile = function (fileItem) {
        this.removeFile.emit(fileItem);
    };
    __decorate([
        Input(),
        __metadata("design:type", Boolean)
    ], FileUploadPreviewComponent.prototype, "imgPreview", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], FileUploadPreviewComponent.prototype, "previewWidth", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Boolean)
    ], FileUploadPreviewComponent.prototype, "uploaded", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Array)
    ], FileUploadPreviewComponent.prototype, "selectFiles", void 0);
    __decorate([
        Output(),
        __metadata("design:type", Object)
    ], FileUploadPreviewComponent.prototype, "removeFile", void 0);
    FileUploadPreviewComponent = __decorate([
        Component({
            selector: 'hi-file-upload-preview',
            template: "\n    <div class=\"file-upload-preview\"><table class=\"table\"><tbody><tr *ngFor=\"let fileItem of selectFiles\"><td *ngIf=\"imgPreview\"><a [href]=\"fileItem.dataUrl\" target=\"_blank\"><img *ngIf=\"fileItem.dataUrl\" class=\"img-responsive\" [src]=\"fileItem.dataUrl\" [attr.alt]=\"fileItem.file.name\" [style.width]=\"previewWidth\"></a></td><td><i *ngIf=\"uploaded\" class=\"icmn-checkmark text-success\"></i> {{fileItem.name}}</td><td>{{fileItem.displaySize}}</td><td><i class=\"icmn-cross\" (click)=\"onRemoveFile(fileItem)\"></i></td></tr></tbody></table></div>\n  ",
            changeDetection: ChangeDetectionStrategy.OnPush,
            exportAs: 'fileUploadPreview'
        })
    ], FileUploadPreviewComponent);
    return FileUploadPreviewComponent;
}());
export { FileUploadPreviewComponent };
