import { OnInit, EventEmitter, ElementRef, OnDestroy, TemplateRef } from '@angular/core';
import { WindowRef } from '../window-ref/window-ref.service';
import { Subscription } from 'rxjs/Subscription';
export declare class InfiniteScrollComponent implements OnInit, OnDestroy {
    private windowRef;
    private elementRef;
    total: number;
    bufferPx: number;
    scrollDelay: number;
    spinnerTemplate: TemplateRef<any>;
    loadMore: EventEmitter<InfiniteScrollComponent>;
    scrollStream: EventEmitter<any>;
    subscription: Subscription;
    constructor(windowRef: WindowRef, elementRef: ElementRef);
    ngOnInit(): void;
    loadFinish(complete: boolean): void;
    private setupScrollEvent;
    onScrollChange(): void;
    onWinScroll($event: Event): void;
    ngOnDestroy(): void;
    private unSubscription;
    private registerOnScrollStream;
}
