import { InjectionToken } from '@angular/core';
export interface MessageConfig {
    hiDuration?: number;
    hiPauseOnHover?: boolean;
    hiAnimate?: boolean;
    hiMaxStack?: number;
    [index: string]: any;
}
export declare const MESSAGE_DEFAULT_CONFIG: InjectionToken<MessageConfig>;
export declare const MESSAGE_CONFIG: InjectionToken<MessageConfig>;
export declare const MESSAGE_DEFAULT_CONFIG_PROVIDER: {
    provide: InjectionToken<MessageConfig>;
    useValue: {
        hiDuration: number;
        hiAnimate: boolean;
        hiPauseOnHover: boolean;
        hiMaxStack: number;
    };
};
