export interface MessageDataOptions {
    hiDuration?: number;
    hiAnimate?: boolean;
    hiPauseOnHover?: boolean;
}
export interface MessageData {
    type?: 'success' | 'info' | 'warning' | 'error' | 'loading' | string;
    content?: string;
}
export interface MessageDataFilled extends MessageData {
    messageId: string;
    state?: 'enter' | 'leave';
    options?: MessageDataOptions;
    createdAt: Date;
}
