var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, Input, ChangeDetectionStrategy } from '@angular/core';
var ModalBackdropComponent = (function () {
    function ModalBackdropComponent() {
        this.instanceCount = 0;
    }
    __decorate([
        Input(),
        __metadata("design:type", Boolean)
    ], ModalBackdropComponent.prototype, "isOpen", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], ModalBackdropComponent.prototype, "modalOptions", void 0);
    __decorate([
        Input(),
        __metadata("design:type", Object)
    ], ModalBackdropComponent.prototype, "instanceCount", void 0);
    ModalBackdropComponent = __decorate([
        Component({
            selector: 'hi-modal-backdrop',
            template: "\n    <div class=\"modal-backdrop fade {{modalOptions?.backdropClass || ''}}\"\n         [ngStyle]=\"{'z-index': 1040 + instanceCount * 10 +1}\" [ngClass]=\"{'show': isOpen}\">\n    </div>",
            changeDetection: ChangeDetectionStrategy.OnPush
        })
    ], ModalBackdropComponent);
    return ModalBackdropComponent;
}());
export { ModalBackdropComponent };
