import { InjectionToken } from '@angular/core';
import { MessageConfig } from '../message/message-config';
export interface NotificationConfig extends MessageConfig {
    hiTop?: string;
    hiBottom?: string;
    hiPlacement?: 'topLeft' | 'topRight' | 'bottomLeft' | 'bottomRight' | string;
}
export declare const NOTIFICATION_DEFAULT_CONFIG: InjectionToken<NotificationConfig>;
export declare const NOTIFICATION_CONFIG: InjectionToken<NotificationConfig>;
export declare const NOTIFICATION_DEFAULT_CONFIG_PROVIDER: {
    provide: InjectionToken<NotificationConfig>;
    useValue: {
        hiTop: string;
        hiBottom: string;
        hiPlacement: string;
        hiDuration: number;
        hiMaxStack: number;
        hiPauseOnHover: boolean;
        hiAnimate: boolean;
    };
};
