import { TemplateRef } from '@angular/core';
import { MessageData, MessageDataOptions } from '../message/message.definitions';
export interface NotificationData extends MessageData {
    template?: TemplateRef<{}>;
    type?: 'success' | 'info' | 'warning' | 'error' | 'blank' | string;
    title?: string;
}
export interface NotificationDataOptions extends MessageDataOptions {
    hiStyle?: any;
    hiClass?: any;
}
export interface NotificationDataFilled extends NotificationData {
    messageId: string;
    state?: 'enter' | 'leave';
    options?: NotificationDataOptions;
    createdAt: Date;
}
