import { ComponentFactoryResolver } from '@angular/core';
import { HiNGConfig } from '../hi.config';
import { NotifyModel } from './notify.model';
export declare class NotifyService {
    private hiNGConfig;
    private componentFactoryResolver;
    private panelRef;
    private _placement;
    constructor(hiNGConfig: HiNGConfig, componentFactoryResolver: ComponentFactoryResolver);
    placement(placement: 'top' | 'top-right' | 'bottom' | 'bottom-right' | 'center'): void;
    open(notify: NotifyModel, duration?: number): void;
    close(alertModel: NotifyModel): void;
    closeAll(): void;
}
