var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
import { NgModule, Optional } from '@angular/core';
import { StorageModule } from '../storage/storage.module';
import { OAuth2Service } from './oauth2.service';
import { OAuth2Guard } from './oauth2.guard';
import { OAuth2Config } from './oauth2.config';
export var AUTH_ROLE_PERMISSIONS_PROVIDERS = [
    OAuth2Service,
    OAuth2Guard
];
export function providePower(config) {
    return AUTH_ROLE_PERMISSIONS_PROVIDERS.concat([
        { provide: OAuth2Config, useValue: config }
    ]);
}
var OAauth2Module = (function () {
    function OAauth2Module(parentModule) {
        if (!parentModule) {
            throw 'Should import storage(StorageModule)!';
        }
    }
    OAauth2Module_1 = OAauth2Module;
    OAauth2Module.forRoot = function (config) {
        return {
            ngModule: OAauth2Module_1,
            providers: providePower(config).slice()
        };
    };
    var OAauth2Module_1;
    OAauth2Module = OAauth2Module_1 = __decorate([
        NgModule({
            imports: [
                StorageModule
            ]
        }),
        __param(0, Optional()),
        __metadata("design:paramtypes", [StorageModule])
    ], OAauth2Module);
    return OAauth2Module;
}());
export { OAauth2Module };
