import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { TooltipComponent } from '../tooltip/tooltip.component';
export declare class PopconfirmComponent extends TooltipComponent {
    private _condition;
    _prefix: string;
    _trigger: string;
    _hasBackdrop: boolean;
    option: {
        okText: string;
        cancelText: string;
    };
    hiContent: any;
    hiOkText: string;
    hiCancelText: string;
    hiCondition: boolean;
    hiOnCancel: EventEmitter<void>;
    hiOnConfirm: EventEmitter<void>;
    constructor(cdr: ChangeDetectorRef);
    show(): void;
    onCancel(): void;
    onConfirm(): void;
}
