import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { HiNGConfig } from '../hi.config';
export declare class RadioGroupComponent implements ControlValueAccessor {
    private changeDetectorRef;
    static NAME_SEED: number;
    disabled: boolean;
    options: any[];
    inline: boolean;
    cssClass: string;
    formatter: (item: any) => string;
    valueParser: (item: any) => any;
    valueChange: EventEmitter<any>;
    name: string;
    value: any;
    private onChange;
    private onTouched;
    constructor(hiNGConfig: HiNGConfig, changeDetectorRef: ChangeDetectorRef);
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    onRadioChange(item: any): void;
    isChecked(item: any): boolean;
}
