var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { OverlayModule } from '@angular/cdk/overlay';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { OptionContainerComponent } from './option-container.component';
import { ContainerPipe } from './option-container.pipe';
import { OptionGroupComponent } from './option-group.component';
import { OptionLiComponent } from './option-li.component';
import { OptionComponent } from './option.component';
import { OptionPipe, SubOptionPipe } from './option.pipe';
import { SelectTopControlComponent } from './select-top-control.component';
import { SelectUnselectableDirective } from './select-unselectable.directive';
import { SelectComponent } from './select.component';
var SelectModule = (function () {
    function SelectModule() {
    }
    SelectModule = __decorate([
        NgModule({
            imports: [CommonModule, FormsModule, OverlayModule],
            declarations: [OptionComponent, SelectComponent, OptionContainerComponent, OptionGroupComponent,
                OptionLiComponent, SelectTopControlComponent, SelectUnselectableDirective, ContainerPipe, OptionPipe, SubOptionPipe],
            exports: [OptionComponent, SelectComponent, OptionContainerComponent, OptionGroupComponent, SelectTopControlComponent]
        })
    ], SelectModule);
    return SelectModule;
}());
export { SelectModule };
