import { QueryList, EventEmitter, AfterContentInit } from '@angular/core';
import { TabComponent } from './tab.component';
import { HiNGConfig } from '../hi.config';
export declare class TabsComponent implements AfterContentInit {
    type: 'tabs' | 'pills';
    activeTab: number | string;
    vertical: boolean;
    justified: boolean;
    cssClass: string;
    tabs: QueryList<TabComponent>;
    activeTabChange: EventEmitter<string | number>;
    constructor(hiNGConfig: HiNGConfig);
    ngAfterContentInit(): void;
    select(id: number | string): void;
}
