import { AnimationEvent } from '@angular/animations';
import { CdkConnectedOverlay, ConnectedOverlayPositionChange, ConnectionPositionPair, CdkOverlayOrigin } from '@angular/cdk/overlay';
import { ChangeDetectorRef, EventEmitter, TemplateRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import { Observable } from 'rxjs/Observable';
export declare class TooltipComponent {
    private _cdr;
    _hasBackdrop: boolean;
    hiTitle: string;
    hiContent: any;
    hiOverlayClassName: string;
    hiOverlayStyle: {};
    hiMouseEnterDelay: number;
    hiMouseLeaveDelay: number;
    hiVisibleChange: EventEmitter<boolean>;
    hiTemplate: TemplateRef<void>;
    overlay: CdkConnectedOverlay;
    overlayOrigin: CdkOverlayOrigin;
    hiVisible: boolean;
    visibleSource: BehaviorSubject<boolean>;
    visible$: Observable<boolean>;
    hiTrigger: string;
    _prefix: string;
    _positions: ConnectionPositionPair[];
    _classMap: {};
    _placement: string;
    _trigger: string;
    hiPlacement: string;
    updatePosition(): void;
    onPositionChange($event: ConnectedOverlayPositionChange): void;
    show(): void;
    hide(): void;
    _afterVisibilityAnimation(e: AnimationEvent): void;
    setClassMap(): void;
    setOverlayOrigin(origin: CdkOverlayOrigin): void;
    constructor(_cdr: ChangeDetectorRef);
    private isContentEmpty;
}
