import { ValidatorFn, AbstractControl, ValidationErrors } from '@angular/forms';
export declare function isPresent(obj: any): boolean;
export declare function requiredWithTrim(control: AbstractControl): ValidationErrors | null;
export declare function rangeLengthValidator(rangeLength: Array<number>): ValidatorFn;
export declare function minValidator(min: number): ValidatorFn;
export declare function maxValidator(max: number): ValidatorFn;
export declare function rangeValidator(range: Array<number>): ValidatorFn;
export declare function digitsValidator(): ValidatorFn;
export declare function numberValidator(): ValidatorFn;
export declare function urlValidator(): ValidatorFn;
export declare function emailValidator(): ValidatorFn;
export declare function dateValidator(): ValidatorFn;
export declare function dateISOValidator(): ValidatorFn;
export declare function jsonValidator(): ValidatorFn;
export declare function base64Validator(): ValidatorFn;
export declare function phoneValidator(locale?: string): ValidatorFn;
export declare function uuidValidator(version?: string): ValidatorFn;
export declare function equalValidator(val: any): ValidatorFn;
export declare function equalToValidator(target: AbstractControl | string): ValidatorFn;
export declare function includesValidator(optionalValue: Array<any>): ValidatorFn;
export declare function beforeDateValidator(target: Date | string | number): ValidatorFn;
export declare function afterDateValidator(target: Date | string | number): ValidatorFn;
